--------------------------------------------------------------------------------
-- GLOBALS
--------------------------------------------------------------------------------

Global( "wtMainPanel", nil )
Global( "wtCoordsText", nil )

--------------------------------------------------------------------------------

function ShowAvatarPos()
	local gamePos = avatar.GetPos()
	
	wtCoordsText:SetVal( "PosX", common.FormatFloat( (gamePos.posY / 100), "%.2f" ) )
	wtCoordsText:SetVal( "PosY", common.FormatFloat( (gamePos.posX / 100), "%.2f" ) )
end

--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
-- EVENT HANDLERS
--------------------------------------------------------------------------------

function OnEventAvatarPosChanged( params )
		ShowAvatarPos()
end

--------------------------------------------------------------------------------
-- INITIALIZATION
--------------------------------------------------------------------------------

function Init()
	common.RegisterEventHandler( OnEventAvatarPosChanged, "EVENT_AVATAR_POS_CHANGED" )
	common.RegisterEventHandler( OnCreateAvatar, "EVENT_AVATAR_CREATED" )
		
	wtMainPanel = mainForm:GetChildChecked( "MainPanel", false )
	wtMainPanel:Show(true)
	wtCoordsText = wtMainPanel:GetChildChecked( "CoordsText", false )	
	ShowAvatarPos()
end
--------------------------------------------------------------------------------
Init()
--------------------------------------------------------------------------------
